Loading...
Searching...
No Matches
fifo.h File Reference
libavutil » Data Structures » AVFifo

A generic FIFO API. More...

`#include <stddef.h>`

Go to the source code of this file.

## Macros

#define | AV_FIFO_FLAG_AUTO_GROW (1 << 0)
| Automatically resize the FIFO on writes, so that the data fits.

## Typedefs

typedef struct AVFifo | AVFifo
typedef int | AVFifoCB(void *opaque, void *buf, size_t *nb_elems)
| Callback for writing or reading from a FIFO, passed to (and invoked from) the av_fifo_*_cb() functions.

## Functions

AVFifo * | av_fifo_alloc2 (size_t elems, size_t elem_size, unsigned int flags)
| Allocate and initialize an AVFifo with a given element size.
size_t | av_fifo_elem_size (const AVFifo *f)
void | av_fifo_auto_grow_limit (AVFifo *f, size_t max_elems)
| Set the maximum size (in elements) to which the FIFO can be resized automatically.
size_t | av_fifo_can_read (const AVFifo *f)
size_t | av_fifo_can_write (const AVFifo *f)
int | av_fifo_grow2 (AVFifo *f, size_t inc)
| Enlarge an AVFifo.
int | av_fifo_write (AVFifo *f, const void *buf, size_t nb_elems)
| Write data into a FIFO.
int | av_fifo_write_from_cb (AVFifo *f, AVFifoCB read_cb, void *opaque, size_t *nb_elems)
| Write data from a user-provided callback into a FIFO.
int | av_fifo_read (AVFifo *f, void *buf, size_t nb_elems)
| Read data from a FIFO.
int | av_fifo_read_to_cb (AVFifo *f, AVFifoCB write_cb, void *opaque, size_t *nb_elems)
| Feed data from a FIFO into a user-provided callback.
int | av_fifo_peek (const AVFifo *f, void *buf, size_t nb_elems, size_t offset)
| Read data from a FIFO without modifying FIFO state.
int | av_fifo_peek_to_cb (const AVFifo *f, AVFifoCB write_cb, void *opaque, size_t *nb_elems, size_t offset)
| Feed data from a FIFO into a user-provided callback.
void | av_fifo_drain2 (AVFifo *f, size_t size)
| Discard the specified amount of data from an AVFifo.
void | av_fifo_reset2 (AVFifo *f)
void | av_fifo_freep2 (AVFifo **f)
| Free an AVFifo and reset pointer to NULL.

## Detailed Description

A generic FIFO API.

Definition in file fifo.h.